

<network id="tvlight1">
  <units>
    <unit id="valueFilterInPlug" type="valueFilter">
      <params>
        <param name="valueName">mqtt/plug02/powerusage</param>
      </params>
    </unit>

    <unit id="delayedOff1" type="delayedOff">
      <params>
        <param name="delayTime">30</param>
        <param name="threshold">70</param>
      </params>
    </unit>

    <unit id="valueSetOutPlug" type="valueSet">
      <params>
        <param name="valueName">mqtt/109C2F/power</param>
      </params>
    </unit>
  </units>

  <links>
    <!-- (sourceNet), sourceUnit, sourcePort, (targetNet), targetUnit, targetPort -->
    <link sourceUnit=".updatedValue"      sourcePort="output" targetUnit="valueFilterInPlug"  targetPort="input" />
    <link sourceUnit="valueFilterInPlug"  sourcePort="output" targetUnit="delayedOff1"        targetPort="input" />
    <link sourceUnit="delayedOff1"        sourcePort="output" targetUnit="valueSetOutPlug"    targetPort="input" />
  </links>
</network>
